--[[
FixTol10n.lua

Author: 	GameMasTer
Date: 		20.02.2022
Version:	1

]]

FixTol10n = {};
FixTol10n.modDirectory = g_currentModDirectory;

function FixTol10n:loadMap(name)
local modDesc = loadXMLFile("modDesc", FixTol10n.modDirectory .. "modDesc.xml");
local count = 0;
while true do
local baseText = string.format("modDesc.l10n.text(%d)", count);
if not hasXMLProperty(modDesc, baseText) then
break;
end;
local name = getXMLString(modDesc, baseText .. "#name");
if name ~= nil then Vehicle[name] = g_i18n:getText(name);
end;
count = count + 1;
end;
end;
function FixTol10n:update(dt)end;
function FixTol10n:deleteMap()end;
function FixTol10n:keyEvent(unicode, sym, modifier, isDown)end;
function FixTol10n:mouseEvent(posX, posY, isDown, isUp, button)end;
function FixTol10n:draw()end;
addModEventListener(FixTol10n);